Name:           telepathy-qt4
Version:        0.1.10
Release:        3%{?dist}
Summary:        Qt4 bindings for Telepathy

Group:          Development/Libraries
License:        LGPLv2+
URL:            http://telepathy.freedesktop.org/
Source0:        http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
Patch0:         %{name}-0.1.10-examples.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       qt
BuildRequires:  qt-devel >= 4.5
BuildRequires:  python-devel
BuildRequires:  libxslt
BuildRequires:  pygtk2
BuildRequires:  doxygen
BuildRequires:  graphviz

# run some tests:
BuildRequires:  perl
BuildRequires:  telepathy-farsight-devel

BuildRequires:  dbus-python

# even more tests would require telepathy-glib and a Qt that uses the GLib
# main loop which we don't have


%description
Telepathy-Qt4 is a high-level binding for Telepathy, similar to telepathy-glib
but for Qt 4.

%package devel
Summary:        Telepathy-Qt4 header files
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig
Provides:       %{name}-static = %{version}-%{release}

%description devel
Telepathy-Qt4 is a high-level binding for Telepathy, similar to telepathy-glib
but for Qt 4. This package provides the header files.

%package doc
Summary:        Telepathy-Qt4 documentation
Group:          Documentation
BuildArch:      noarch


%description doc
Telepathy-Qt4 is a high-level binding for Telepathy, similar to telepathy-glib
but for Qt 4. This package provides various documentation on using the Qt4
bindings for Telepathy-Qt4.

%prep
%setup -q

# don't build the examples or the tests
# touch to preserve timestamps and prevent unneeded triggering of autoconf
touch -r configure.ac configure.ac.stamp
%patch0 -p1 -b .examples
touch -r configure.ac.stamp configure.ac


%build
%configure --disable-static PYTHON=%{__python}
make %{?_smp_mflags}

%{__chmod} 0644 tests/lib/account-manager.py


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

rm -rf tests
rm -rf examples/*/.deps


%clean
rm -rf %{buildroot}


%files devel
%defattr(-,root,root,-)

%{_libdir}/libtelepathy-qt4.a
%exclude %{_libdir}/libtelepathy-qt4.la

%{_includedir}/telepathy-1.0/TelepathyQt4
%{_libdir}/pkgconfig/TelepathyQt4.pc


%files doc
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README doc spec examples


%changelog
* Tue Sep 29 2009 Ionuț Arțăriși <mapleoin@fedoraproject.org> - 0.1.10-3
- Changed license
- Don't mess with the tests
- Remove hidden directories
- Add more dependencies in order to build tests and examples
- Don't include tests in the final rpm
- Added virtual -static package
- Mark -doc package as BuildArch: noarch

* Mon Sep 21 2009 Ionuț Arțăriși <mapleoin@fedoraproject.org> - 0.1.10-2
- Don't compile tests and examples

* Sat Aug 29 2009 Ionuț Arțăriși <mapleoin@fedoraproject.org> - 0.1.10-1
- Initial release
